## webman如何获得post请求参数
**获取整个post数组**
```php
$request->post();
```
如果请求没有post参数则返回一个空的数组。

**获取post数组的某一个值**
```php
$request->post('name');
```
如果post数组中不包含这个值则返回null。

与get方法一样，你也可以给post方法第二个参数传递一个默认值，如果post数组中没找到对应值则返回默认值。例如：
```php
$request->post('name', 'tom');
```

## webman如何获得原始请求post包体
```php
$post = $request->rawBody();
```
这个功能类似与 `php-fpm`里的 `file_get_contents("php://input");`操作。用于获得http原始请求包体。这在获取非`application/x-www-form-urlencoded`格式的post请求数据时很有用。 

